
QGIS Application - Bug report #8919

R scripts: not possible to export .csv

2013-10-20 02:43 PM - Filipe Dias

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17593

Description

I created this script that should export a .csv table. However I get the general error "Oooops! The following output layers could not be open

(...) R seems to be correctly installed (...)"

The script is this and the vector is attached. Maybe it's related to #8833?

##Layer=vector

##Tabela=output table

Tabela<-Layer@data

R execution console output

R version 3.0.1 (2013-05-16) -- "Good Sport" 

Copyright (C) 2013 The R Foundation for Statistical Computing

Platform: x86_64-pc-linux-gnu (64-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.

You are welcome to redistribute it under certain conditions.

Type 'license()' or 'licence()' for distribution details.

Natural language support but running in an English locale

R is a collaborative project with many contributors.

Type 'contributors()' for more information and

'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or

'help.start()' for an HTML browser interface to help.

Type 'q()' to quit R.

options("repos"="http://cran.at.r-project.org/")

tryCatch(find.package("rgdal"), error=function(e) install.packages("rgdal", dependencies=TRUE))

[1] "/home/fd/R/x86_64-pc-linux-gnu-library/3.0/rgdal" 

tryCatch(find.package("raster"), error=function(e) install.packages("raster", dependencies=TRUE))

[1] "/home/fd/R/x86_64-pc-linux-gnu-library/3.0/raster" 

library("raster")

Loading required package: sp

library("rgdal")

rgdal: version: 0.8-11, (SVN revision 479M)

Geospatial Data Abstraction Library extensions to R successfully loaded
Loaded GDAL runtime: GDAL 1.10.0, released 2013/04/24

Path to GDAL shared files: /usr/share/gdal/1.10

Loaded PROJ.4 runtime: Rel. 4.8.0, 6 March 2012, [PJ_VERSION: 480]

Path to PROJ.4 shared files: (autodetected)

Layer = readOGR("/home/fd/Desktop",layer="test_ticket")

OGR data source with driver: ESRI Shapefile

Source: "/home/fd/Desktop", layer: "test_ticket" 

with 104 features and 2 fields

Feature type: wkbPoint with 2 dimensions

Tabela<-Layer@data

proc.time()

user  system elapsed

2.268   0.060   2.325

Related issues:

Duplicated by QGIS Application - Feature request # 12806: Write output table ... Closed 2015-05-22

History

#1 - 2013-10-21 01:48 AM - Filipe Dias

I'm using QGIS 2.0 and Processing "Master" (donwloaded from github)

#2 - 2013-10-21 05:27 AM - Filipe Dias

- File alaska.zip added

Please ignore test.zip (or better yet delete it) and consider alaska.zip the right example shapefile.

#3 - 2014-06-09 05:55 AM - Giovanni Manghi

- File deleted (test.zip)

#4 - 2014-06-09 05:55 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

I'm changing this to non-blocker for different reasons:

a blocker means a regression, this should not be the case, and then processing can be always updated as plugin update, so I don't think that even a huge

issue should block a qgis release.

#5 - 2014-10-04 11:55 AM - Giovanni Manghi

- Affected QGIS version set to 2.4.0

- Project changed from 78 to QGIS Application

- Category deleted (66)

- Crashes QGIS or corrupts data set to No

#6 - 2014-10-04 11:55 AM - Giovanni Manghi

- Category set to 124
#7 - 2015-05-22 05:50 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

see also #12806

#8 - 2016-06-23 12:30 AM - matteo ghetta

Fixed with commit:f3bbf89

#9 - 2016-06-23 01:35 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

#10 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#11 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#13 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core

Files

alaska.zip 208 KB 2013-10-21 Filipe Dias

2025-04-27 3/3


